> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sponsorships Table Headers

> Retrieves data for the sponsored table based on the given program ID, client ID, and filter.



## OpenAPI

````yaml post /admin/sponsorships/{program_id}/headers
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/sponsorships/{program_id}/headers:
    post:
      tags:
        - Sponsorships
      summary: Get Sponsorships Table Headers
      description: >-
        Retrieves data for the sponsored table based on the given program ID,
        client ID, and filter.
      operationId: 9ad623f5a9c3f37b1ac846ea739f5833
      parameters:
        - name: program_id
          in: path
          description: Program ID for which to fetch sponsored table data
          required: true
          schema:
            type: integer
      requestBody:
        description: ID and client ID to fetch details for
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                filter:
                  type: boolean
                program_id:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Sponsored table data fetched successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````